#ifndef __E_CAM33_API_H__
#define __E_CAM33_API_H__

#include <stdbool.h>
#include <stdio.h>

typedef void VOID;
typedef int INT32;
typedef bool BOOL;
typedef unsigned short int INT16;

// Return Value for BOOL return type functions
#define TRUE 	1
#define FALSE 	0

//Return value for INT32 return type functions
#define FAILURE	-1
#define SUCCESS 1

enum auto_focus_status_options
{
	AF_CONT_FROZEN = 1,
	AF_CONT_FOCUSED,
	MANUAL_FOCUS,
	AF_CONT_FOCUSING,
	AF_SINGLE_TRIGGER_FOCUSING,
	AF_SINGLE_TRIGGER_FOCUSED,
	AF_SINGLE_TRIGGER_FROZEN
};

enum auto_focus_mode_options
{
	AF_CONT_FREEZE = 1,
	AF_CONT_UNFREEZE,
	MANUAL_FOCUS_MODE,
	AUTO_FOCUS,
	SINGLE_TRIG_AF
};

// UVC XU Control APIs for e_cam33 UVC WebCam
INT32 InitLibrary(VOID);
INT32 AFFreezeControl(INT32);
INT32 GetAFStatus(INT32 *);
INT32 SetManualFocusPosition(INT16);
INT32 GetSensorId(INT32 *);
INT32 GetManualFocusPosition(INT16 *);
VOID DeInitLibrary(VOID);

#endif


